// package: nanoapp.std.shell
// file: shell.proto

import * as jspb from "google-protobuf";

export class CommandReq extends jspb.Message {
  getProg(): string;
  setProg(value: string): void;

  clearArgsList(): void;
  getArgsList(): Array<string>;
  setArgsList(value: Array<string>): void;
  addArgs(value: string, index?: number): string;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CommandReq.AsObject;
  static toObject(includeInstance: boolean, msg: CommandReq): CommandReq.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CommandReq, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CommandReq;
  static deserializeBinaryFromReader(message: CommandReq, reader: jspb.BinaryReader): CommandReq;
}

export namespace CommandReq {
  export type AsObject = {
    prog: string,
    argsList: Array<string>,
  }
}

export class CommandRes extends jspb.Message {
  getOutput(): string;
  setOutput(value: string): void;

  getError(): string;
  setError(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CommandRes.AsObject;
  static toObject(includeInstance: boolean, msg: CommandRes): CommandRes.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CommandRes, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CommandRes;
  static deserializeBinaryFromReader(message: CommandRes, reader: jspb.BinaryReader): CommandRes;
}

export namespace CommandRes {
  export type AsObject = {
    output: string,
    error: string,
  }
}

